-- name: Arena - HELLP!
-- description: Adds a new, chaotic map with everyone's favorite arena item: Bombs!\n\n(\\#ff0000\\must enable Arena as well!\\#ffffff\\)\n\nMap by chillyzone

-- register the level here
LEVEL_ARENA_HELLP = level_register('level_arena_hellp_entry', COURSE_NONE, 'HELLP', 'arena_hellp', 28000, 0x28, 0x28, 0x28)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_HELLP, 'HELLP')
end

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
